notfound(3)

NotFound

Inherits from: Exception

Maturity Index: Experimental

Class Description

This is a subclass to signal that an object could not be found in a collection. Messages that should search for an object can signal this Exception to indicate that the operation failed because no matching object was found.

The handler can be used as follows:
    [[{ match=[cltn find:myObject]; } on:NotFound do:{ :e | match=nil;}];

Method types

Methods